Authenticated Command Injection Vulnerability in Multiple Cisco Content Network and Video Delivery Products

2013 年 8 月 1 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2013 年 7 月 31 日) | フィードバック

Advisory ID: cisco-sa-20130731-cm

http://www.cisco.com/cisco/web/support/JP/111/1119/1119241_cisco-sa-20130731-cm-j.html

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.0

For Public Release 2013 July 31 16:00  UTC (GMT)


要約

シスコの複数のコンテンツ ネットワーク製品とビデオ配信製品は、中央管理モードで稼働するように設定された場合に脆弱性があります。この脆弱性によって、認証されていても権限を持たない攻撃者が、該当するシステムおよび該当するシステムによって管理されるデバイスで、任意のコードをリモートから実行できる可能性があります。

シスコはこの脆弱性に対処する無償のソフトウェア アップデートをリリースしました。これらの脆弱性に対しては回避策がありません。このアドバイザリは、次のリンクで確認できます。
http://www.cisco.com/cisco/web/support/JP/111/1119/1119241_cisco-sa-20130731-cm-j.html

該当製品

脆弱性が認められる製品

次の製品は、脆弱性が認められるバージョンのコードを実行する場合にこの脆弱性の影響を受けます。

Cisco Wide Area Application Services(WAAS)
Cisco WAAS ソフトウェアが Central Manager(CM)として設定され、次のプラットフォームで稼働している場合
  • Cisco WAAS アプライアンス
  • Cisco Virtual WAAS(vWAAS)
  • Cisco WAAS モジュール

Cisco Application and Content Networking System(ACNS)

Cisco ACNS ソフトウェアがコンテンツ配信マネージャ(CDM)として設定され、次のプラットフォームで稼働している場合
  • Cisco Wide Application Engine(WAE)
  • Cisco ACNS ネットワーク モジュール


Cisco Enterprise Content Delivery System(ECDS)

Cisco ECDS ソフトウェアが Content Delivery System Manager(CDSM)として設定され、次のプラットフォームで稼働している場合

  • Cisco Media Delivery Engine 50 WVB
  • Cisco Media Delivery Engine 1100
  • Cisco Media Delivery Engine 3100


Cisco Internet Streamer Content Delivery System(CDS-IS)

Cisco CDS-IS ソフトウェアが Internet Streaming Content Delivery System Manager(CDSM)として設定され、次のプラットフォームで稼働している場合

  • Cisco Content Delivery Engine(CDE)
  • Cisco Unified Computing System(UCS)


インターネット ストリーマ向け Cisco VideoScape Delivery System(VDS-IS)

Cisco VDS-IS ソフトウェアが Internet Streaming Content Delivery System Manager(CDSM)として設定され、次のプラットフォームで稼働している場合

  • Cisco Content Delivery Engine(CDE)
  • Cisco Unified Computing System(UCS)

Cisco Videoscape Distribution Suite サービス ブローカ(VDS-SB)

Cisco VDS-SB ソフトウェアが Videoscape Delivery Suite サービス マネージャ(VDSM)として設定され、次のプラットフォームで稼働している場合
  • Cisco Unified Computing System(UCS)

Cisco Videoscape Distribution Suite 最適化エンジン(VDS-OE)

Cisco VDS-OE ソフトウェアが Content Delivery System Manager(VDSM)として設定され、次のプラットフォームで稼働している場合
  • Cisco Unified Computing System(UCS)

Cisco VideoScape Delivery System オリジン サーバ(VDS-OS)
Cisco VOS ソフトウェアが Virtual Origin System Manager(VOSM)として設定され、次のプラットフォームで稼働している場合
  • Cisco Unified Computing System(UCS)

脆弱性が認められない製品

次の製品または機能はこの脆弱性の影響を受けません。
  • Cisco WAAS Express(WAASx)
  • Cisco WAAS Mobile
  • テレビ向け Cisco Videoscape Distribution Suite(VDS TV)
  • テレビ向け Cisco Content Distribution Suite(CDS TV)
  • Cisco Content Delivery System(CDS)Video Navigator Application
この脆弱性の影響を受ける他のシスコ製品は、現在確認されていません。

詳細

Web フレームワーク内の脆弱性によって、認証された攻撃者がリモートから、 該当するシステムの基盤のオペレーティング システム、 および該当するシステムと関連付けられ、それによって管理されるデバイスの基盤のオペレーティング システムで、 任意のコマンドを実行できる可能性があります。
この脆弱性は、デバイスの基盤のコマンドライン インターフェイスを使用した、アクションを実行するためのユーザの入力を適切にサニタイズできないことに起因します。認証されていても権限を持たない攻撃者は、該当するシステムの GUI にログインし、システムに渡される値の一部に任意のコードを追加することで、この脆弱性を悪用できる可能性があります。


注:
この脆弱性の影響を受けるのは管理モードで稼働しているデバイスに限られます。

この脆弱性は、Cisco WAAS ソフトウェアについては Cisco Bug ID CSCug40609登録ユーザ専用)、Cisco ACNS ソフトウェアについては CSCug48855登録ユーザ専用)、Cisco ECDS ソフトウェアについては CSCug48921登録ユーザ専用)、Cisco CDS-IS および VDS-IS ソフトウェアについては CSCug48872登録ユーザ専用)、Cisco VDS-SB ソフトウェアについては CSCuh21103登録ユーザ専用)、Cisco VDS-OE ソフトウェアについては CSCuh21020登録ユーザ専用)、Cisco VDS-OS ソフトウェアについては CSCug56790登録ユーザ専用)として文書化されています。

この脆弱性に対して Common Vulnerabilities and Exposures(CVE)ID CVE-2013-3444 が割り当てられています。

脆弱性スコア詳細

シスコはこのアドバイザリでの脆弱性に対して Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。本セキュリティ アドバイザリでの CVSS スコアは、CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する組織の手助けとなる標準ベースの評価法です。

シスコでは、基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供・オています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、自身のネットワークにおける脆弱性の影響度を知ることができます。

シスコは次のリンクで CVSS に関する追加情報を提供しています。

http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

またシスコでは、各ネットワークにおける環境影響度を算出する CVSS 計算ツールを次のリンクで提供しています。

http://tools.cisco.com/security/center/cvssCalculator.x/



CSCug40609, CSCug48855, CSCug48921, CSCug48872, and CSCug56790, CSCuh21103, and CSCuh21020 -  Authenticated Command Injection Vulnerability in Multiple Cisco Content Network and Video Delivery Products

Calculate the environmental score of CSCug40609, CSCug48855, CSCug48921, CSCug48872, and CSCug56790, CSCuh21103, and CSCuh21020

CVSS Base Score - 9.0

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

Single

Complete

Complete

Complete

CVSS Temporal Score - 7.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed


影響

この脆弱性の不正利用に成功すると、認証されていても権限を持たない攻撃者がリモートから、該当するシステムおよび該当するシステム自体によって管理されるデバイスで、任意のコマンドを実行できる可能性があります。

ソフトウェア バージョンおよび修正

ソフトウェアのアップグレードを検討する場合は、http://www.cisco.com/go/psirt/ の Cisco Security Advisories, Responses, and Notices アーカイブや、後続のアドバイザリを参照して、起こりうる障害を判断し、それに対応できるアップグレード ソリューションを確認してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、現在のハードウェアとソフトウェアの構成が新規リリースで引き続き正しくサポートされていることを十分に確認してください。不明な点については、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

次の表に、各該当製品の修正リリースを記載します。

 Product Major Release
Fixed Release
 Cisco WAAS Software
 4.x
 Not Available.Migrate to 5.x
 5.0.x  5.0.3e
 5.1.x  5.1.1c
 5.2.x  5.2.1
 
 Cisco ACNS Software
 4.x  Not available.Migrate to 5.x
 5.x  5.5.29.2
 Cisco ECDS Software
 2.x  2.5.6
 Cisco CDS-IS Software
 2.x  2.6.3.b50
 3.1.x  3.1.2b54
 Cisco VDS-IS Software
 3.2.x  3.2.1.b9
 Cisco VDS-SB Software
 1.x  1.1.0-b96
 Cisco VDS-OE Software
 1.x  1.0.1
 Cisco VDS-OS Software
 1.x  2.0

注:
4.2.1 よりも前の Cisco WAAS ソフトウェア リリースは、この脆弱性の影響を受けません。

回避策

この脆弱性を軽減する回避策はありません。

修正済みソフトウェアの入手

シスコはこのアドバイザリに記載された脆弱性に対処する無償のソフトウェア アップデートを提供しています。ソフトウェアの導入を行う前に、お客様のメンテナンス プロバイダーにご相談いただくか、ソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境の特有の問題をご確認ください。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html に記載のシスコのソフトウェア ライセンスの条項に従うことに同意したことになります。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、Cisco.com の Software Navigator からアップグレード ソフトウェアを入手できます。http://www.cisco.com/cisco/software/navigator.html

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、正しい処置についてのサポートを受けてください。

回避策や修正の効果は、使用している製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などに関するお客様の状況によって異なります。影響を受ける製品やリリースは多種多様であるため、回避策を実施する前に、対象ネットワークで適用する回避策または修正が最適であることを、お客様のサービス プロバイダーやサポート会社にご確認ください。

サービス契約をご利用でないお客様

シスコから製品を直接購入したもののシスコのサービス契約をご利用いただいていない場合、または、サードパーティ ベンダーから購入したものの修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレード ソフトウェアを入手してください。

  • +1 800 553 2447(北米からの無料通話)
  • +1 408 526 7209(北米以外からの有料通話)
  • E メール:tac@cisco.com

無償アップグレードの対象製品であることを証明していただくために、製品のシリアル番号と、本アドバイザリの URL をご用意ください。サービス契約をご利用でないお客様は TAC に無償アップグレードをリクエストしてください。

多言語による各地の電話番号、説明、E メール アドレスなどの TAC の連絡先情報については、Cisco Worldwide Contact を参照してください。http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html

不正利用事例と公式発表

Cisco Product Security Incident Response Team(PSIRT)では、本アドバイザリに記載されている脆弱性の不正利用事例とその公表は確認しておりません。

この脆弱性はシスコ内部でのテストによって発見されました。

この通知のステータス:FINAL

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコはいつでも本ドキュメントの変更や更新を実施する権利を有します。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。


情報配信

このアドバイザリは次のリンクにある Cisco Security Intelligence Operations に掲載されます。

http://www.cisco.com/cisco/web/support/JP/111/1119/1119241_cisco-sa-20130731-cm-j.html

また、このアドバイザリのテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで次の E メールで配信されています。

  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • full-disclosure@lists.grok.org.uk

本アドバイザリに関する今後の更新は Cisco.com に掲載されますが、メーリング リストで配信されるとは限りません。更新内容については、本アドバイザリの URL でご確認ください。


更新履歴

Revision 1.0 2013-July-31 Initial public release

シスコ セキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関するサポート、およびシスコからセキュリティ情報を入手するための登録方法の詳細については、Cisco.com の http://www.cisco.com/en/US/products/products_security_vulnerability_policy.html を参照してください。この Web ページには、シスコのセキュリティ アドバイザリに関してメディアが問い合わせる際の指示が掲載されています。シスコ セキュリティ アドバイザリについては、すべて http://www.cisco.com/go/psirt/ で確認できます。